Foxit PDF SDK

Instance Methods | List of all members
FSAnnotationSummarySettings Class Reference

Annotations summary string ID: specify the prefix when author information is outputed in result document. Default prefix is "Author:".
More...

Inheritance diagram for FSAnnotationSummarySettings:

## Instance Methods
(void) | - enableOutputNoAnnotationPage:
| Set the flag to decide whether to output information of pages which have no annotation. More...
(id) | - init
| Constructor, with parameters.
(id) | - initWithOther:
| Constructor, with another annotation summary setting object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setAnnotThumbnail:thumbnail:
| Set the markup annotation thumbnail used in result document to indicates the type of annotation. More...
(void) | - setAnnotType:use_all:
| Set the option to decide which type of annotations will be summarized. More...
(void) | - setConnectorLineColor:
| Set connector line color. More...
(void) | - setConnectorLineOpacity:
| Set connector line opacity. More...
(void) | - setEndPage:
| Set ending page index. More...
(void) | - setFileTitle:
| Set the file title string when location of the document needs to be outputed in result document. More...
(void) | - setFontSize:
| Set the font size type used in result document of annotation summary. More...
(void) | - setPageMargin:
| Set the page margin used in result document. More...
(void) | - setPageRect:
| Set the page rectangle in result document. More...
(void) | - setSortType:
| Set the option to decide to sort annotation by what. More...
(void) | - setStartPage:
| Set starting page index. More...
(void) | - setSummaryLayout:
| Set summary layout type. More...

## Detailed Description

Annotations summary string ID: specify the prefix when author information is outputed in result document. Default prefix is "Author:".

Annotations summary string ID: specify the prefix when date information is outputed in result document. Default prefix is "Date:".

Annotations summary string ID: specify the prefix when page information is outputed in result document. Default prefix is "Page:".

Annotations summary string ID: specify the prefix when annotation type is outputed in result document. Default prefix is "Type:".

Annotations summary string ID: specify the document title in result document. Default title is "Summary of comments:".

Annotations summary string ID: specify the prefix when page title is outputed in result document. Default string is "Page:".

Annotations summary string ID: specify the string used as content in result document when a page does not have any annotation. Default content is "No Annotations.".

Annotations summary string ID: specify the prefix when number information is outputed in result document. Default prefix is "Number:".

Annotations summary string ID: specify the prefix when subject information is outputed in result document. Default prefix is "Subject:".

This class represents settings for summarizing annotation. This would be used in class FSAnnotationSummary .

See also
  FSAnnotationSummary

## Method Documentation

## ◆ enableOutputNoAnnotationPage:()

- (void) enableOutputNoAnnotationPage: |  | (BOOL) | enable |

Set the flag to decide whether to output information of pages which have no annotation.

or a newly constructed object, if this function is not called, default value YES will be used.

Parameters

  [in] | enable | A boolean value to decide whether to output information of pages which have no annotation: YES means to output information of pages which have no annotation, while NO means not to output information of pages which have no annotation,

Returns
  None.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSAnnotationSummarySettings*) | other |

Constructor, with another annotation summary setting object.

Parameters

  [in] | other | Another annotation summary setting object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setAnnotThumbnail:thumbnail:()

- (void) setAnnotThumbnail: |  | (FSAnnotType) | type
thumbnail: |  | (FSBitmap*) | thumbnail

Set the markup annotation thumbnail used in result document to indicates the type of annotation.

Thumbnail bitmap does not use alpha channel. So user is recommended to set a bitmap without alpha channel to be the new thumbnail. If a bitmap with alpha channel is set, the new thumbnail will use white background by default.
If not set, no thumbnail will be used for corresponding annotation type.

Parameters

  [in] | type | Annotation type to decide whose thumbnail is to be set. Please refer to values starting from FSAnnotNote and this should be one of these values except FSAnnotLink, FSAnnotPSInk, FSAnnotSound, FSAnnotMovie, FSAnnotWidget, FSAnnotScreen, FSAnnotPrinterMark, FSAnnotTrapNet, FSAnnotWatermark, FSAnnot3D, FSAnnotPopup, FSAnnotRedact.
  [in] | thumbnail | A bitmap used as thumbnail for an annotation type in result document. This should be a valid bitmap. If the bitmap size is not 12*12, the bitmap will be scaled to 12*12 when being used.

Returns
  None.

## ◆ setAnnotType:use_all:()

- (void) setAnnotType: |  | (FSAnnotType) | type
use_all: |  | (BOOL) | use_all

Set the option to decide which type of annotations will be summarized.

For a newly constructed object, if this function is not called to set this option, that means to summarize annotation in all supported types.

Parameters

  [in] | type | Annotation type to decide which annotations is to be summarized. Please refer to values starting from FSAnnotNote and this should be one of these values except FSAnnotLink, FSAnnotPSInk, FSAnnotSound, FSAnnotMovie, FSAnnotWidget, FSAnnotScreen, FSAnnotPrinterMark, FSAnnotTrapNet, FSAnnotWatermark, FSAnnot3D, FSAnnotPopup, FSAnnotRedact.
  [in] | use_all | A boolean value to decide whether to summarize all the supported annotations in result document: YES means to summarize annotations in all the supported types. In this case, parameter type would be ignored. NO means to only summarize annotations specified by parameter type.

Returns
  None.

## ◆ setConnectorLineColor:()

- (void) setConnectorLineColor: |  | (unsigned int) | color |

Set connector line color.

This option will take effect when summary layout type is set FSAnnotationSummarySettingsSummaryLayoutSeparatePagesWithLine or FSAnnotationSummarySettingsSummaryLayoutSinglePageWithLine by function by FSAnnotationSummarySettings::setSummaryLayout:. If not set, default value 0x000000 will be used.

Parameters

  [in] | color | Connector line color. Format: 0xRRGGBB.

Returns
  None.

## ◆ setConnectorLineOpacity:()

- (void) setConnectorLineOpacity: |  | (float) | opacity |

Set connector line opacity.

This option will take effect when summary layout type is set FSAnnotationSummarySettingsSummaryLayoutSeparatePagesWithLine or FSAnnotationSummarySettingsSummaryLayoutSinglePageWithLine by function by FSAnnotationSummarySettings::setSummaryLayout:. If not set, default value 1.0 will be used.

Parameters

  [in] | opacity | Connector line opacity. Valid range: from 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ setEndPage:()

- (void) setEndPage: |  | (int) | page_index |

Set ending page index.

For a newly constructed object, if this function is not called, default value (count-1) will be used as the ending page index. count is returned by function FSPDFDoc::getPageCount for the PDF document whose annotations are to be summarized.

Parameters

  [in] | page_index | Page index to specify the ending page where summarizing operation ends. Valid range: from 0 to (count-1). count is returned by function FSPDFDoc::getPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function FSAnnotationSummary::startSummarize:settings:pause: is called.

Returns
  None.

## ◆ setFileTitle:()

- (void) setFileTitle: |  | (NSString *) | title |

Set the file title string when location of the document needs to be outputed in result document.

If not set, an empty string will be used as default.

Parameters

  [in] | title | Summary title used in result document.

Returns
  None.

## ◆ setFontSize:()

- (void) setFontSize: |  | (FSAnnotationSummarySettingsFontSizeType) | type |

Set the font size type used in result document of annotation summary.

For a newly constructed object, if this function is not called to set this option, that means to use FSAnnotationSummarySettingsFontSizeMedium as the default value of this option.

Parameters

  [in] | type | Font size type used in result document of annotation summary. Please refer to values starting from FSAnnotationSummarySettingsFontSizeSmall and this should be one of these values.

Returns
  None.

## ◆ setPageMargin:()

- (void) setPageMargin: |  | (FSRectF*) | margin |

Set the page margin used in result document.

This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page. If no margin value is set, Foxit PDF SDK will use a maring defined as (50.0, 50.0, 50.0, 50.0) as default.

Parameters

  [in] | margin | Page margin used in result document.

Returns
  None.

## ◆ setPageRect:()

- (void) setPageRect: |  | (FSRectF*) | rect |

Set the page rectangle in result document.

If not set, default rectangle (0.0, 0.0, 612.0, 792.0) will be used.

Parameters

  [in] | rect | Page rectangle used in result document.

Returns
  None.

## ◆ setSortType:()

- (void) setSortType: |  | (FSAnnotationSummarySettingsSortType) | type |

Set the option to decide to sort annotation by what.

For a newly constructed object, if this function is not called to set this option, that means to use FSAnnotationSummarySettingsTypeSortByAnnotationType as the default value of this option.

Parameters

  [in] | type | Sorting type for summarizing annotations. Please refer to values starting from FSAnnotationSummarySettingsTypeSortByAuthor and this should be one of these values.

Returns
  None.

## ◆ setStartPage:()

- (void) setStartPage: |  | (int) | page_index |

Set starting page index.

For a newly constructed object, if this function is not called, default value 0 will be used as the starting page index.

Parameters

  [in] | page_index | Page index to specify the starting page where summarizing operation starts. Valid range: from 0 to (count-1). count is returned by function FSPDFDoc::getPageCount for the PDF document whose annotations are to be summarized. This index will be checked when function FSAnnotationSummary::startSummarize:settings:pause: is called.

Returns
  None.

## ◆ setSummaryLayout:()

- (void) setSummaryLayout: |  | (FSAnnotationSummarySettingsSummaryLayout) | type |

Set summary layout type.

For a newly constructed object, if this function is not called to set this option, that means to use FSAnnotationSummarySettingsSummaryLayoutSeparatePagesWithLine as the default value of this option.

Parameters

  [in] | type | Summary layout type. Please refer to values starting from FSAnnotationSummarySettingsSummaryLayoutSeparatePagesWithLine and this should be one of these values.

Returns
  None.